Bug 149702 - locks up totally in SMP mode - no SysReq possible
locks up totally in SMP mode - no SysReq possible
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 10:53 EST by John Stoffel
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-23 01:14:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Stoffel 2005-02-25 10:53:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
We have an ASUS CUR-DLS system, 4gb RAM, 2 x PIII (1ghz), dual SCSI
disks, IDE CDROM.  The firmware is the latest version.   I'm not
booting with any special options.  Should I try to lower the size of
RAM seen by the kernel? 

We're only running Apache, Mod_perl, WebRT and MySQL on this box. 
It's purely being used for trouble ticket tracking.  It's not even
being used that hard.
 


The system has been giving us problems in SMP kernels  
for all FC3 kernels I have tried.  Finally got a crash dump in
/var/log/messages for the 2.6.10-1.766 kernel:

Feb 23 19:25:12 rt3 kernel: Unable to handle kernel NULL pointer
dereference at 
virtual address 00000000
Feb 23 19:25:12 rt3 kernel:  printing eip:
Feb 23 19:25:12 rt3 kernel: c0116a5e
Feb 23 19:25:12 rt3 kernel: *pde = 3730a001
Feb 23 19:25:12 rt3 kernel: Oops: 0000 [#1]
Feb 23 19:25:12 rt3 kernel: SMP 
Feb 23 19:25:12 rt3 kernel: Modules linked in: parport_pc lp parport
autofs4 nfs
 lockd sunrpc md5 ipv6 ohci_hcd i2c_piix4 i2c_core e100 mii floppy
dm_snapshot d
m_zero dm_mirror ext3 jbd dm_mod sym53c8xx scsi_transport_spi sd_mod
scsi_mod
Feb 23 19:25:12 rt3 kernel: CPU:    0
Feb 23 19:25:12 rt3 kernel: EIP:    0060:[<c0116a5e>]    Not tainted VLI
Feb 23 19:25:12 rt3 kernel: EFLAGS: 00010246   (2.6.10-1.766_FC3smp) 
Feb 23 19:25:12 rt3 kernel: EIP is at pgd_free+0x6/0x30
Feb 23 19:25:12 rt3 kernel: eax: 00000000   ebx: 00000000   ecx:
c2f56200   edx:
 c2f57060
Feb 23 19:25:12 rt3 kernel: esi: 00000000   edi: 00000000   ebp:
f6f02e68   esp:
 f6f02e48
Feb 23 19:25:12 rt3 kernel: ds: 007b   es: 007b   ss: 0068
Feb 23 19:25:12 rt3 kernel: Process httpd (pid: 3287,
threadinfo=f6f02000 task=c
336b040)
Feb 23 19:25:12 rt3 kernel: Stack: f0c2ebc2 c0308ba0 c011bfe1 f0c2ebc2
c011926b 
c2f57060 9a8aef00 f0c2ebc2 
Feb 23 19:25:12 rt3 kernel:        f6f02ec4 c02bb362 c03ebe0c f6f02ecc
f7dc7060 
c03ebe08 00000000 f7dc7060 
Feb 23 19:25:12 rt3 kernel:        00000000 c2f579c0 c2f57060 00000000
0001b207 
5ef02500 000f4c9e c0308ba0 
Feb 23 19:25:12 rt3 kernel: Call Trace:
Feb 23 19:25:12 rt3 kernel:  [<c011bfe1>] __mmdrop+0x1a/0x2e
Feb 23 19:25:12 rt3 kernel:  [<c011926b>] finish_task_switch+0x46/0x66
Feb 23 19:25:12 rt3 kernel:  [<c02bb362>] schedule+0x8ca/0x90d
Feb 23 19:25:12 rt3 kernel:  [<c02bb846>] schedule_timeout+0xce/0xe9
Feb 23 19:25:12 rt3 kernel:  [<c01256af>] process_timeout+0x0/0x5
Feb 23 19:25:12 rt3 kernel:  [<c0161d42>] do_select+0x277/0x2ac
Feb 23 19:25:12 rt3 kernel:  [<c012e87a>] remove_wait_queue+0xf/0x34
Feb 23 19:25:12 rt3 kernel:  [<c0161991>] __pollwait+0x0/0x95
Feb 23 19:25:12 rt3 kernel:  [<c0162097>] sys_select+0x30d/0x49e
Feb 23 19:25:12 rt3 kernel:  [<c01215b0>] sys_waitpid+0x13/0x17
Feb 23 19:25:12 rt3 kernel:  [<c0103c97>] syscall_call+0x7/0xb
Feb 23 19:25:12 rt3 kernel: Code: f4 3e c0 81 ea 01 00 00 40 e8 e5 90
02 00 eb e
7 a1 50 f4 3e c0 89 ea e8 d7 90 02 00 31 c0 5f 5d 5b 5e 5f 5d c3 56 89
c6 53 31 
db <8b> 14 de 43 a1 54 f4 3e c0 81 ea 01 00 00 40 e8 b4 90 02 00 83 


Version-Release number of selected component (if applicable):
kernel-2.6.10-1.766_FC3

How reproducible:
Always

Steps to Reproduce:
1. Install system
2.  Boot into SMP kernel
3. Wait until it hangs.
    

Actual Results:  System hangs.  Needs a reset or power cycle to get it
to reboot.

Expected Results:  System should just run.

Additional info:
Comment 1 kirk dacosta 2005-03-30 00:24:09 EST
I have a similar issue with kernel-2.6.10-
1.766_FC2...                                                                   
                                                      
                                                                               
                                                                               
                 
when running this kernel, I've had to reboot every few 
days.                                                                          
                                         
                                                                               
                                                                               
                 
Today I was installing a pretty large app and it would hang every time I 
attempted the install.  Complete lockout:  not possible to do anything even 
from the physical console.
                                                                               
                                                                               
                 
After rebooting and selecting an earlier version of the SMP kernel, it was 
possible to install the app without another system 
hang.                                            
Comment 2 Warren Togami 2005-03-30 03:47:06 EST
http://people.redhat.com/davej/kernels/Fedora/
The 2.6.11 based test kernels here will probably help your problem.  Please test
it and report back.
Comment 3 Warren Togami 2005-05-23 01:14:20 EDT
No response for months, assuming solved.

Note You need to log in before you can comment on or make changes to this bug.